Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLTableColElement

All Superinterfaces:
  Element, HTMLElement, Node

All Known Implementing Classes:
  HTMLTableColElementImpl

public interface HTMLTableColElement
extends HTMLElement

Regroups the `COL` and `COLGROUP` elements. See the COL element definition in HTML 4.0.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getAlign()` Horizontal alignment of cell data in column.
`java.lang.String` | `getCh()` Alignment character for cells in a column.
`java.lang.String` | `getChOff()` Offset of alignment character.
`int` | `getSpan()` Indicates the number of columns in a group or affected by a grouping.
`java.lang.String` | `getVAlign()` Vertical alignment of cell data in column.
`java.lang.String` | `getWidth()` Default column width.
`void` | `setAlign(java.lang.String align)`
`void` | `setCh(java.lang.String ch)`
`void` | `setChOff(java.lang.String chOff)`
`void` | `setSpan(int span)`
`void` | `setVAlign(java.lang.String vAlign)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getAlign

    public java.lang.String getAlign()

  Horizontal alignment of cell data in column. See the align attribute definition in HTML 4.0.

### setAlign

    public void setAlign(java.lang.String align)

### getCh

    public java.lang.String getCh()

  Alignment character for cells in a column. See the char attribute definition in HTML 4.0.

### setCh

    public void setCh(java.lang.String ch)

### getChOff

    public java.lang.String getChOff()

  Offset of alignment character. See the charoff attribute definition in HTML 4.0.

### setChOff

    public void setChOff(java.lang.String chOff)

### getSpan

    public int getSpan()

  Indicates the number of columns in a group or affected by a grouping. See the span attribute definition in HTML 4.0.

### setSpan

    public void setSpan(int span)

### getVAlign

    public java.lang.String getVAlign()

  Vertical alignment of cell data in column. See the valign attribute definition in HTML 4.0.

### setVAlign

    public void setVAlign(java.lang.String vAlign)

### getWidth

    public java.lang.String getWidth()

  Default column width. See the width attribute definition in HTML 4.0.

### setWidth

    public void setWidth(java.lang.String width)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD